Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface WinDef

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface WinDef

extends com.sun.jna.win32.StdCallLibrary

Ported from Windef.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` | `WinDef.DWORD` 32-bit unsigned integer.
`static class` | `WinDef.DWORDLONG` 64-bit unsigned integer.
`static class` | `WinDef.HBITMAP` Handle to a bitmap.
`static class` | `WinDef.HCURSOR` Handle to a cursor.
`static class` | `WinDef.HDC` Handle to a device context (DC).
`static class` | `WinDef.HFONT` Handle to a font.
`static class` | `WinDef.HICON` Handle to an icon.
`static class` | `WinDef.HINSTANCE` Handle to an instance.
`static class` | `WinDef.HMENU` Handle to a cursor.
`static class` | `WinDef.HMODULE` Handle to a module.
`static class` | `WinDef.HPALETTE` Handle to a palette.
`static class` | `WinDef.HPEN` Handle to a pen.
`static class` | `WinDef.HRGN` Handle to a region.
`static class` | `WinDef.HRSRC` Handle to a resource.
`static class` | `WinDef.HWND` Handle to a window.
`static class` | `WinDef.LONG` 32-bit signed integer.
`static class` | `WinDef.LPARAM` Message parameter.
`static class` | `WinDef.LRESULT` Signed result of message processing.
`static class` | `WinDef.RECT`
`static class` | `WinDef.UINT_PTR` Unsigned INT_PTR.
`static class` | `WinDef.ULONGLONG` 64-bit unsigned integer.
`static class` | `WinDef.WORD` 16-bit unsigned integer.
`static class` | `WinDef.WPARAM` Message parameter.

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `MAX_PATH`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### MAX_PATH

    static final int MAX_PATH

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD